/**
 * Fonts
 */
@font-face {
    font-family: "SwissSignCircularWeb";
    src: url("SwissSignCircularWeb-Bold.eot");
    src: url("SwissSignCircularWeb-Bold.eot?#iefix") format("embedded-opentype"),
    url("SwissSignCircularWeb-Bold.woff2") format("woff2"),
    url("SwissSignCircularWeb-Bold.woff") format("woff");
    font-weight: bold;
}

/*
*** Cross domain policy blocks the remote fonts ***

@font-face {
    font-family: "SwissSignCircularWeb";
    src:url("https://login.sandbox.pre.swissid.ch/idp/XUI/themes/sesam/fonts/SwissSignCircularWeb-Bold.eot");
    src:url("https://login.sandbox.pre.swissid.ch/idp/XUI/themes/sesam/fonts/SwissSignCircularWeb-Bold.eot?#iefix") format("embedded-opentype"),
    url("https://login.sandbox.pre.swissid.ch/idp/XUI/themes/sesam/fonts/SwissSignCircularWeb-Bold.woff2") format("woff2"),
    url("https://login.sandbox.pre.swissid.ch/idp/XUI/themes/sesam/fonts/SwissSignCircularWeb-Bold.woff") format("woff");
    font-weight: bold;
}
*/

/**
 * Buttons
 */
button, html input[type="button"], input[type="reset"], input[type="submit"] {
    -webkit-appearance: button;
    cursor: pointer;
}

button, select {
    text-transform: none;
}

button {
    overflow: visible;
}

button, input, optgroup, select, textarea {
    margin: 0;
    font: inherit;
    color: inherit;
}

button:focus {
    outline: 0 !important;
}
.swissid-btn {
    font-family: 'SwissSignCircularWeb', sans-serif;
    color: #45433F;
    font-size: 18px;
    font-weight: 700;
    border: none;
    border-radius: 2px;
    padding: 15px 25px;
    padding-bottom: 11px;
    text-decoration: none;
    outline: none !important;
}

.swissid-btn-primary {
    color: #ffffff;
    background-color: #eb0000;
    font-weight: bold;
}

/**
 * Relying partners buttons
 */
.swissid-btn-connect {
    position: relative;
    text-align: center;
    height: 50px;
    display: flex;
    justify-content: end;
    margin: 0 auto;
}
.swissid-btn-connect p {
    margin: 0;
    align-self: center;
    width: 100%;
}


.swissid-btn-mini {
    padding: 0;
    width: 50px;
}

.swissid-btn-connect span {
    content: " ";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 50px;
    height: 50px;
    background: url(../images/connect.svg) no-repeat,
    linear-gradient(transparent, transparent);
}

.swissid-btn-connect-light {
    background: #ffffff;
    color: #eb0000;
    border: #eb0000 solid 1px;
    padding-left: 65px;
}

.swissid-btn-connect-light span {
    top: -1px;
    left: -1px;
    background-color: #eb0000;
}

.swissid-btn-connect-light-no-border {
    border: none;
}

.swissid-btn-connect-light-no-border span {
    top: 0;
    left: 0;
}

.swissid-btn-connect-custom {
    background-color: #419641;
}

.swissid-btn-connect-dual-custom {
    background-color: #8c8c8c;
}

.swissid-btn-connect-dual-custom span {
    background-color: #1c1c1c;
}

.swissid-btn-connect-dual-custom {
    padding-left: 65px;
}

.swissid-btn-block {
    display: block;
    width: 100%;
}
@media (max-width: 288px) {
    .swissid-btn-connect p {
        font-size: 10pt;
    }
}